[haiku-commits] r35710 - haiku/trunk/data/bin

  • From: mattmadia@xxxxxxxxx
  • To: haiku-commits@xxxxxxxxxxxxx
  • Date: Mon, 1 Mar 2010 22:58:27 +0100 (CET)

Author: mmadia
Date: 2010-03-01 22:58:27 +0100 (Mon, 01 Mar 2010)
New Revision: 35710
Changeset: http://dev.haiku-os.org/changeset/35710/haiku

Modified:
   haiku/trunk/data/bin/install-wifi-firmwares.sh
Log:
Return the original failed exit code and not that of 'echo'.


Modified: haiku/trunk/data/bin/install-wifi-firmwares.sh
===================================================================
--- haiku/trunk/data/bin/install-wifi-firmwares.sh      2010-03-01 21:50:11 UTC 
(rev 35709)
+++ haiku/trunk/data/bin/install-wifi-firmwares.sh      2010-03-01 21:58:27 UTC 
(rev 35710)
@@ -223,15 +223,17 @@
        PreFirmwareInstallation
 
        BuildBroadcomFWCutter
-       if [ $? -gt 0 ] ; then
+       returnCode=$?
+       if [ $returnCode -gt 0 ] ; then
                echo "...failed. ${driver}'s firmware will not be installed."
-               return $?
+               return $returnCode
        fi
 
        CutAndInstallBroadcomFirmware
-       if [ $? -gt 0 ] ; then
+       returnCode=$?
+       if [ $returnCode -gt 0 ] ; then
                echo "...failed. ${driver}'s firmware will not be installed."
-               return $?
+               return $returnCode
        fi
 
        PostFirmwareInstallation


Other related posts:

  • » [haiku-commits] r35710 - haiku/trunk/data/bin - mattmadia